org.apache.ignite.internal.util

## Class GridMutableLong

- java.lang.Object
- - org.apache.ignite.internal.util.GridMutableLong

    public class GridMutableLong
    extends Object

A mutable long for use in collections.

### Constructor Summary

Constructors
Constructor and Description
`GridMutableLong()` Default constructor.
`GridMutableLong(long v)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `get()` Gets the current value.
`long` `incrementAndGet()` Increments by one the current value.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridMutableLong

    public GridMutableLong(long v)

Constructor.

Parameters:
  `v` - Long value.

#### GridMutableLong

    public GridMutableLong()

Default constructor.

### Method Detail

#### incrementAndGet

    public final long incrementAndGet()

Increments by one the current value.

Returns:
  Updated value.

#### get

    public long get()

Gets the current value.

Returns:
  Current value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022